#ifndef IFORM_H
#define IFORM_H

#include <QWidget>

class IForm : public QWidget
{
    Q_OBJECT

public:
    explicit IForm(QWidget *parent = 0);
    virtual ~IForm();

signals:
    void recordAdded();
    void recordUpdated();
    void validationError(QString errMessage);

public slots:
    virtual bool saveRecord() = 0;
};

#endif // IFORM_H
